package sexpression;

@DisplayName("atom")
public abstract class Atom extends SExpression {

    private String text;

    public Atom(String text) {
        this.text = text;
    }

    @Override
    public boolean isAtom() {
        return true;
    }

    @Override
    public String toString() {
        return text;
    }

}
